
function checkRegister(){
	var user = document.getElementById("username").value;
	var pass = document.getElementById("password").value;
	var repass = document.getElementById("repassword").value;
	var StringReg = /^[a-zA-Z0-9]+(([\'\%\- ][a-zA-Z0-9])?[a-zA-Z0-9]*)*$/;

	if(!user.match(StringReg) || user.length < 6) {		
		inlineMsg('username','Không chấp nhận ký tự đặc biệt hoặc ít hơn 6 ký tự', 2);
		document.getElementById("username").style.backgroundColor = "pink";
		return false;
	}
	document.getElementById("username").style.backgroundColor = "white";
	if (pass.length < 6){
		inlineMsg('password','Mật khẩu phải nhiều hơn 6 ký tự', 2);
		document.getElementById("password").style.backgroundColor = "pink";
		return false;
	}
	document.getElementById("password").style.backgroundColor = "white";
	if (pass != repass){
		inlineMsg('repassword','Nhập lại mật khẩu không đúng', 2);
		document.getElementById("repassword").style.backgroundColor = "pink";
		return false;
	}
	document.getElementById("repassword").style.backgroundColor = "white";
	document.getElementById("password").value = calcMD5(pass);
}


function preLoginOnclick(){
	var user = document.getElementById("username").value;
	var pass = document.getElementById("password").value;
	
	if (user == "Tài khoản"){
		document.getElementById("username").value = "";
	}
	if (pass == "Mật khẩu"){
		document.getElementById("password").value = "";
	}
}

function preLoginOnblur(username){
	var user = document.getElementById("username").value;
	var pass = document.getElementById("password").value;
	if (user == ""){
		document.getElementById("username").value = "Tài khoản";
	}
	if (pass == ""){
		document.getElementById("password").value = "Mật khẩu";
	}
}

function submitLogin(){
	var user = document.getElementById("username").value;
	var pass = document.getElementById("password").value;
	if (user == "Tài khoản" || pass == "Mật khẩu"){
	return false;
	}
	document.getElementById("password").value = calcMD5(pass);
}
